Bug 14383 - Typos in various Koha files
Summary: Typos in various Koha files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Stefan Weil
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-14 21:34 UTC by Chris Cormack
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14383 debian: Fix some trivial typos (4.34 KB, patch)
2015-06-14 21:35 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14383: misc: Fix some typos in comments and documentation (9.79 KB, patch)
2015-06-14 21:36 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 14383 C4: Fix some typos (mostly in comments and documentation) (42.22 KB, patch)
2015-06-15 20:07 UTC, Stefan Weil
Details | Diff | Splinter Review
Bug 14383: Fix some typos in comments and documentation (5.57 KB, patch)
2015-06-15 20:10 UTC, Stefan Weil
Details | Diff | Splinter Review
Bug 14383 acqui: Fix some typos in comments and documentation (5.68 KB, patch)
2015-06-15 20:12 UTC, Stefan Weil
Details | Diff | Splinter Review
Bug 14383 admin: Fix some typos in comments and documentation (3.42 KB, patch)
2015-06-15 20:21 UTC, Stefan Weil
Details | Diff | Splinter Review
Bug 14383 docs: Fix some typos in documentation (3.06 KB, patch)
2015-06-15 20:22 UTC, Stefan Weil
Details | Diff | Splinter Review
Bug 14383 etc/zebradb: Fix some typos in documentation and Bib-1 attribute set (3.10 KB, patch)
2015-06-15 20:23 UTC, Stefan Weil
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: debian: Fix some trivial typos (4.43 KB, patch)
2015-06-18 11:51 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: misc: Fix some typos in comments and documentation (9.89 KB, patch)
2015-06-18 11:51 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: C4: Fix some typos (mostly in comments and documentation) (42.46 KB, patch)
2015-06-18 11:51 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: Fix some typos in comments and documentation (5.73 KB, patch)
2015-06-18 11:51 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: acqui: Fix some typos in comments and documentation (5.84 KB, patch)
2015-06-18 11:52 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: admin: Fix some typos in comments and documentation (3.50 KB, patch)
2015-06-18 11:52 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: docs: Fix some typos in documentation (3.15 KB, patch)
2015-06-18 11:52 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14383: etc/zebradb: Fix some typos in documentation and Bib-1 attribute set (3.14 KB, patch)
2015-06-18 11:52 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14383: debian: Fix some trivial typos (4.47 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: misc: Fix some typos in comments and documentation (9.92 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: C4: Fix some typos (mostly in comments and documentation) (42.44 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: Fix some typos in comments and documentation (5.76 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: acqui: Fix some typos in comments and documentation (5.86 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: admin: Fix some typos in comments and documentation (3.54 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: docs: Fix some typos in documentation (3.19 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: etc/zebradb: Fix some typos in documentation and Bib-1 attribute set (3.22 KB, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14383: Fix POD error in C4/Ratings.pm (841 bytes, patch)
2015-06-18 14:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2015-06-14 21:34:33 UTC
There a bunch of little spelling errors in various files.
Comment 1 Chris Cormack 2015-06-14 21:35:17 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2015-06-14 21:36:30 UTC Comment hidden (obsolete)
Comment 3 Stefan Weil 2015-06-15 20:07:50 UTC Comment hidden (obsolete)
Comment 4 Stefan Weil 2015-06-15 20:10:02 UTC Comment hidden (obsolete)
Comment 5 Stefan Weil 2015-06-15 20:12:06 UTC Comment hidden (obsolete)
Comment 6 Stefan Weil 2015-06-15 20:14:16 UTC
Comment on attachment 40147 [details] [review]
Bug 14383 C4: Fix some typos (mostly in comments and documentation)

Most of them were found and fixed using codespell.
Fix also some related grammar issues.

In C4/Serials.pm a variable was renamed to make future codespelling
checks easier.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Comment 7 Stefan Weil 2015-06-15 20:15:48 UTC
Comment on attachment 40148 [details] [review]
Bug 14383: Fix some typos in comments and documentation

Most of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Comment 8 Stefan Weil 2015-06-15 20:16:47 UTC
Comment on attachment 40149 [details] [review]
Bug 14383 acqui: Fix some typos in comments and documentation

Most of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Comment 9 Stefan Weil 2015-06-15 20:21:49 UTC Comment hidden (obsolete)
Comment 10 Stefan Weil 2015-06-15 20:22:46 UTC Comment hidden (obsolete)
Comment 11 Stefan Weil 2015-06-15 20:23:37 UTC Comment hidden (obsolete)
Comment 12 Stefan Weil 2015-06-15 20:31:11 UTC
There remain more than 500 files with typos found by codespell,
but I won't be able to process them before end of this week.
Comment 13 Bernardo Gonzalez Kriegel 2015-06-18 11:51:38 UTC Comment hidden (obsolete)
Comment 14 Bernardo Gonzalez Kriegel 2015-06-18 11:51:45 UTC Comment hidden (obsolete)
Comment 15 Bernardo Gonzalez Kriegel 2015-06-18 11:51:51 UTC Comment hidden (obsolete)
Comment 16 Bernardo Gonzalez Kriegel 2015-06-18 11:51:58 UTC Comment hidden (obsolete)
Comment 17 Bernardo Gonzalez Kriegel 2015-06-18 11:52:05 UTC Comment hidden (obsolete)
Comment 18 Bernardo Gonzalez Kriegel 2015-06-18 11:52:12 UTC Comment hidden (obsolete)
Comment 19 Bernardo Gonzalez Kriegel 2015-06-18 11:52:24 UTC Comment hidden (obsolete)
Comment 20 Bernardo Gonzalez Kriegel 2015-06-18 11:52:31 UTC Comment hidden (obsolete)
Comment 21 Bernardo Gonzalez Kriegel 2015-06-18 11:58:12 UTC
Fixed some koha-qa complains (tabs) on some patches, added signs on all.
Comment 22 Jonathan Druart 2015-06-18 14:20:11 UTC
Created attachment 40296 [details] [review]
Bug 14383: debian: Fix some trivial typos

They were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 23 Jonathan Druart 2015-06-18 14:20:14 UTC
Created attachment 40297 [details] [review]
Bug 14383: misc: Fix some typos in comments and documentation

Most of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 24 Jonathan Druart 2015-06-18 14:20:18 UTC
Created attachment 40298 [details] [review]
Bug 14383: C4: Fix some typos (mostly in comments and documentation)

Most of them were found and fixed using codespell.
Fix also some related grammar issues.

In C4/Serials.pm a variable was renamed to make future codespelling
checks easier.

Signed-off-by: Stefan Weil <sw@weilnetz.de>

http://bugs.koha-community.org/show_bug.cgi?id=14383
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 25 Jonathan Druart 2015-06-18 14:20:21 UTC
Created attachment 40299 [details] [review]
Bug 14383: Fix some typos in comments and documentation

Most of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>

http://bugs.koha-community.org/show_bug.cgi?id=14383
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 26 Jonathan Druart 2015-06-18 14:20:25 UTC
Created attachment 40300 [details] [review]
Bug 14383: acqui: Fix some typos in comments and documentation

Most of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>

http://bugs.koha-community.org/show_bug.cgi?id=14383
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 27 Jonathan Druart 2015-06-18 14:20:29 UTC
Created attachment 40301 [details] [review]
Bug 14383: admin: Fix some typos in comments and documentation

Most of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 28 Jonathan Druart 2015-06-18 14:20:32 UTC
Created attachment 40302 [details] [review]
Bug 14383: docs: Fix some typos in documentation

All of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 29 Jonathan Druart 2015-06-18 14:20:35 UTC
Created attachment 40303 [details] [review]
Bug 14383: etc/zebradb: Fix some typos in documentation and Bib-1 attribute set

All of them were found and fixed using codespell.

Signed-off-by: Stefan Weil <sw@weilnetz.de>
Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 30 Jonathan Druart 2015-06-18 14:20:38 UTC
Created attachment 40304 [details] [review]
Bug 14383: Fix POD error in C4/Ratings.pm

perl -e "use Pod::Checker;podchecker('C4/Ratings.pm');"

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 31 Jonathan Druart 2015-06-18 14:31:47 UTC
I have added a check in the QA script:

commit 80c39304a2ae8186f0e75fa0af1055286449015d
    Add a spelling check for pl and tt files (using codespell)
    You will need to install codespell to make it works.
Comment 32 Tomás Cohen Arazi 2015-06-22 20:50:02 UTC
Patches pushed to master.

Thanks Stefan, and congrats for your first pushed patches!